﻿$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/responsively-org/responsively-app-releases/releases/download/v1.5.0/ResponsivelyApp-Setup-1.5.0.exe'
$url64      = 'https://github.com/responsively-org/responsively-app-releases/releases/download/v1.5.0/ResponsivelyApp-Setup-1.5.0.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'responsively*'
  checksum      = 'E5485905F068983FAC1C57808BF5334051BC6F01D27D59CC69D733033728F98AC2B20E7F369802C56027D78457F6FECC9D30ADF42B48B8C6F7FA63ECE825D190'
  checksumType  = 'sha512'
  checksum64    = 'E5485905F068983FAC1C57808BF5334051BC6F01D27D59CC69D733033728F98AC2B20E7F369802C56027D78457F6FECC9D30ADF42B48B8C6F7FA63ECE825D190'
  checksumType64= 'sha512'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs